// EDD file for SRW01
// File name:	SRW01_Vars.inc
// Date:		13/8/2009
// Firmware Version:	2,01

VARIABLE P001
{
	LABEL "P001 Scan Cycle Time";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "ms";
	HANDLING READ;
}

COMMAND READ_P001
{
	SLOT 0;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P001 }
	}
}

VARIABLE P002
{
	LABEL "P002 %IN Current ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P002
{
	SLOT 0;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P002 }
	}
}

VARIABLE P003
{
	LABEL "P003 TRUE RMS Current ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P003
{
	SLOT 0;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P003 }
	}
}

VARIABLE P005
{
	LABEL "P005 Line Frequency";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "Hz";
	HANDLING READ;
}

COMMAND READ_P005
{
	SLOT 0;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P005 }
	}
}

VARIABLE P006
{
	LABEL "P006 Relay Status (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Error" },
		{ 0x0002, "Trip" },
		{ 0x0004, "Alarm/Fault" },
		{ 0x0008, "Motor On" },
		{ 0x0010, "Remote Mode" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P006
{
	SLOT 0;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P006 }
	}
}

VARIABLE P012
{
	LABEL "P012 Digital Inputs I1 to I4 Status (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "I1" },
		{ 0x0002, "I2" },
		{ 0x0004, "I3" },
		{ 0x0008, "I4" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P012
{
	SLOT 0;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P012 }
	}
}

VARIABLE P013
{
	LABEL "P013 Digital Outputs O1 to O4 Status (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "O1" },
		{ 0x0002, "O2" },
		{ 0x0004, "O3" },
		{ 0x0008, "O4" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P013
{
	SLOT 0;
	INDEX 12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P013 }
	}
}

VARIABLE P014
{
	LABEL "P014 Last Error";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	HANDLING READ;
}

COMMAND READ_P014
{
	SLOT 0;
	INDEX 13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P014 }
	}
}

VARIABLE P015
{
	LABEL "P015 Second Error";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	HANDLING READ;
}

COMMAND READ_P015
{
	SLOT 0;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P015 }
	}
}

VARIABLE P016
{
	LABEL "P016 Current Error";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	HANDLING READ;
}

COMMAND READ_P016
{
	SLOT 0;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P016 }
	}
}

VARIABLE P020
{
	LABEL "P020 PTC Value (ohms)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 10000;
	}
	CONSTANT_UNIT "ohm";
	HANDLING READ;
}

COMMAND READ_P020
{
	SLOT 0;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P020 }
	}
}

VARIABLE P023
{
	LABEL "P023 Firmware Version";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
	HANDLING READ;
}

COMMAND READ_P023
{
	SLOT 0;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P023 }
	}
}

VARIABLE P024
{
	LABEL "P024 Select PTC/ELS";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 1;
	}
}

COMMAND READ_P024
{
	SLOT 0;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P024 }
	}
}

WRITE_P024 LIKE READ_P024
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P024 }
		REPLY { }
	}
}

VARIABLE P030
{
	LABEL "P030 R Phase TRUE RMS Current";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P030
{
	SLOT 0;
	INDEX 29;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P030 }
	}
}

VARIABLE P031
{
	LABEL "P031 S Phase TRUE RMS Current";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P031
{
	SLOT 0;
	INDEX 30;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P031 }
	}
}

VARIABLE P032
{
	LABEL "P032 T Phase TRUE RMS Current";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P032
{
	SLOT 0;
	INDEX 31;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P032 }
	}
}

VARIABLE P036
{
	LABEL "P036 Earth Leakage Percentage Current";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 3334;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P036
{
	SLOT 0;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P036 }
	}
}

VARIABLE P037
{
	LABEL "P037 Earth Leakage TRUE RMS Current";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
	CONSTANT_UNIT "A";
	HANDLING READ;
}

COMMAND READ_P037
{
	SLOT 0;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P037 }
	}
}

VARIABLE P042
{
	LABEL "P042 Powered Reley Time";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65530;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P042
{
	SLOT 0;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P042 }
	}
}

VARIABLE P043
{
	LABEL "P043 Motor Running Time";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65530;
	}
	CONSTANT_UNIT "h";
	HANDLING READ;
}

COMMAND READ_P043
{
	SLOT 0;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P043 }
	}
}

VARIABLE P050
{
	LABEL "P050 Motor Thermal Protection";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 250;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P050
{
	SLOT 0;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P050 }
	}
}

VARIABLE P051
{
	LABEL "P051 Current Imbalance Level";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P051
{
	SLOT 0;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P051 }
	}
}

VARIABLE P052
{
	LABEL "P052 Earth Fault Level";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 200;
	}
	CONSTANT_UNIT "%";
	HANDLING READ;
}

COMMAND READ_P052
{
	SLOT 0;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P052 }
	}
}

VARIABLE P060
{
	LABEL "P060 Number of Starts";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P060
{
	SLOT 0;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P060 }
	}
}

VARIABLE P061
{
	LABEL "P061 Number of Overload Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P061
{
	SLOT 0;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P061 }
	}
}

VARIABLE P062
{
	LABEL "P062 Number of Corrent Imbalance Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P062
{
	SLOT 0;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P062 }
	}
}

VARIABLE P063
{
	LABEL "P063 Number of Earth Fault Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P063
{
	SLOT 0;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P063 }
	}
}

VARIABLE P064
{
	LABEL "P064 Number of Phase Loss Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P064
{
	SLOT 0;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P064 }
	}
}

VARIABLE P065
{
	LABEL "P065 Number of Overcurrent Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P065
{
	SLOT 0;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P065 }
	}
}

VARIABLE P066
{
	LABEL "P066 Number of Undercurrent Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P066
{
	SLOT 0;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P066 }
	}
}

VARIABLE P067
{
	LABEL "P067 Number of Frequency Out of Range Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P067
{
	SLOT 0;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P067 }
	}
}

VARIABLE P068
{
	LABEL "P068 Number of PTC Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P068
{
	SLOT 0;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P068 }
	}
}

VARIABLE P069
{
	LABEL "P069 Number of Earth Leakage Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P069
{
	SLOT 0;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P069 }
	}
}

VARIABLE P070
{
	LABEL "P070 Number of External Fault Trips";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P070
{
	SLOT 0;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P070 }
	}
}

VARIABLE P071
{
	LABEL "P071 Trip Status 1 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "PTC" },
		{ 0x0002, "Out of Frequency" },
		{ 0x0004, "Undercurrent" },
		{ 0x0008, "Overcurrent" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P071
{
	SLOT 0;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P071 }
	}
}

VARIABLE P072
{
	LABEL "P072 Trip Status 2 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Phase Loss" },
		{ 0x0002, "Current Imbalance" },
		{ 0x0004, "Earth Fault" },
		{ 0x0008, "Overload " }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P072
{
	SLOT 0;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P072 }
	}
}

VARIABLE P073
{
	LABEL "P073 Trip Status 3 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Earth Leakage" },
		{ 0x0002, "External Fault" },
		{ 0x0004, "Trip Test" },
		{ 0x0008, "No Function" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P073
{
	SLOT 0;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P073 }
	}
}

VARIABLE P075
{
	LABEL "P075 Alarm Status 1 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "PTC" },
		{ 0x0002, "Out of Frequency" },
		{ 0x0004, "Undercurrent" },
		{ 0x0008, "Overcurrent" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P075
{
	SLOT 0;
	INDEX 74;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P075 }
	}
}

VARIABLE P076
{
	LABEL "P076 Alarm Status 2 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Phase Loss" },
		{ 0x0002, "Current Imbalance" },
		{ 0x0004, "Earth Fault" },
		{ 0x0008, "Overload " }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P076
{
	SLOT 0;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P076 }
	}
}

VARIABLE P077
{
	LABEL "P077 Alarm Status 3 (binary)";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE BIT_ENUMERATED(2)
	{
		{ 0x0001, "Earth Leakage" },
		{ 0x0002, "External Fault" },
		{ 0x0005, "Without Function" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P077
{
	SLOT 0;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P077 }
	}
}

VARIABLE P080
{
	LABEL "P080 General Trip Status";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P080
{
	SLOT 0;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P080 }
	}
}

VARIABLE P081
{
	LABEL "P081 General Warning Status ";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P081
{
	SLOT 0;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P081 }
	}
}

VARIABLE P084
{
	LABEL "P084 Communication Module Type";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "None" },
		{ 1, "Modbus" },
		{ 2, "DeviceNet" },
		{ 3, "Profibus" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P084
{
	SLOT 0;
	INDEX 83;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P084 }
	}
}

VARIABLE P085
{
	LABEL "P085 Type of Digital Inputs";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "Invalid" },
		{ 1, "Invalid" },
		{ 2, "24Vdc Inputs" },
		{ 3, "110Vac Inputs" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P085
{
	SLOT 0;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P085 }
	}
}

VARIABLE P163
{
	LABEL "P163 User Program Disabling";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P163
{
	SLOT 0;
	INDEX 162;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P163 }
	}
}

WRITE_P163 LIKE READ_P163
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P163 }
		REPLY { }
	}
}

VARIABLE P200
{
	LABEL "P200 Password Status";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" },
		{ 2, "Change Password" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P200
{
	SLOT 0;
	INDEX 199;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P200 }
	}
}

WRITE_P200 LIKE READ_P200
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P200 }
		REPLY { }
	}
}

VARIABLE P202
{
	LABEL "P202 Operation Mode";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Transparent" },
		{ 1, "Overload Relay" },
		{ 2, "Direct Starter" },
		{ 3, "Reverse Starter" },
		{ 4, "Star-Delta Starter" },
		{ 5, "Dahlander Starter" },
		{ 6, "Pole-Changing Starter" },
		{ 7, "PLC Mode" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P202
{
	SLOT 0;
	INDEX 201;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P202 }
	}
}

WRITE_P202 LIKE READ_P202
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P202 }
		REPLY { }
	}
}

VARIABLE P204
{
	LABEL "P204 Counters Reset / Factory Settings";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "No Function" },
		{ 1, "Reset of the Motor Running Time" },
		{ 2, "It Resets the Protection Counters and the Number of Starts Counter" },
		{ 3, "No Function" },
		{ 4, "No Function" },
		{ 5, "Load the Factory Settings" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P204
{
	SLOT 0;
	INDEX 203;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P204 }
	}
}

WRITE_P204 LIKE READ_P204
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P204 }
		REPLY { }
	}
}

VARIABLE P205
{
	LABEL "P205 Reading Parameter Selection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 1, "P002 (Corrente % IN)" },
		{ 2, "P003 (Corrente TRUE RMS)" },
		{ 3, "P005 (Line Frequency)" },
		{ 4, "P006 (Relay Status(binary))" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P205
{
	SLOT 0;
	INDEX 204;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P205 }
	}
}

WRITE_P205 LIKE READ_P205
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P205 }
		REPLY { }
	}
}

VARIABLE P208
{
	LABEL "P208 Check Back Type";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Motor Current" },
		{ 1, "Digital Input Ix" },
		{ 2, "Simulation" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P208
{
	SLOT 0;
	INDEX 207;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P208 }
	}
}

WRITE_P208 LIKE READ_P208
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P208 }
		REPLY { }
	}
}

VARIABLE P209
{
	LABEL "P209 Execution Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 200;
		MIN_VALUE 100;
		MAX_VALUE 2000;
	}
	CONSTANT_UNIT "ms";
}

COMMAND READ_P209
{
	SLOT 0;
	INDEX 208;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P209 }
	}
}

WRITE_P209 LIKE READ_P209
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P209 }
		REPLY { }
	}
}

VARIABLE P210
{
	LABEL "P210 Star-Delta Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 25;
		MIN_VALUE 1;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P210
{
	SLOT 0;
	INDEX 209;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P210 }
	}
}

WRITE_P210 LIKE READ_P210
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P210 }
		REPLY { }
	}
}

VARIABLE P211
{
	LABEL "P211 Check Back Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 200;
		MIN_VALUE 0;
		MAX_VALUE 2000;
	}
	CONSTANT_UNIT "ms";
}

COMMAND READ_P211
{
	SLOT 0;
	INDEX 210;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P211 }
	}
}

WRITE_P211 LIKE READ_P211
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P211 }
		REPLY { }
	}
}

VARIABLE P212
{
	LABEL "P212 Motor Transition Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 50;
		MAX_VALUE 5000;
	}
	CONSTANT_UNIT "ms";
}

COMMAND READ_P212
{
	SLOT 0;
	INDEX 211;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P212 }
	}
}

WRITE_P212 LIKE READ_P212
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P212 }
		REPLY { }
	}
}

VARIABLE P220
{
	LABEL "P220 Local/Remote Selection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Always Local" },
		{ 1, "Always Remote" },
		{ 2, "HMI Key (LOC)" },
		{ 3, "HMI Key (REM)" },
		{ 4, "Digital Input I3 (0 = LOC, 1 = REM)" },
		{ 5, "Digital Input I4 (0 = LOC, 1 = REM)" },
		{ 6, "Fieldbus (LOC)" },
		{ 7, "Fieldbus (REM)" },
		{ 8, "USB/Ladder" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P220
{
	SLOT 0;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P220 }
	}
}

WRITE_P220 LIKE READ_P220
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P220 }
		REPLY { }
	}
}

VARIABLE P229
{
	LABEL "P229 Local Command Selection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Ix" },
		{ 1, "HMI" },
		{ 2, "USB/Ladder" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P229
{
	SLOT 0;
	INDEX 228;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P229 }
	}
}

WRITE_P229 LIKE READ_P229
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P229 }
		REPLY { }
	}
}

VARIABLE P230
{
	LABEL "P230 Local Command (Ix) Two or Three wires";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Two wires (Switch)" },
		{ 1, "Three wires (Pushbutton)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P230
{
	SLOT 0;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P230 }
	}
}

WRITE_P230 LIKE READ_P230
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P230 }
		REPLY { }
	}
}

VARIABLE P231
{
	LABEL "P231 Logic Stop Command Local Mode(Ix) Three wires";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Digital Input I1 (NC)" },
		{ 1, "Digital Input I1 (NO)" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P231
{
	SLOT 0;
	INDEX 230;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P231 }
	}
}

WRITE_P231 LIKE READ_P231
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P231 }
		REPLY { }
	}
}

VARIABLE P277
{
	LABEL "P277 Digital Output O1 Funcion";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Internal Use (P202)" },
		{ 1, "Ladder" },
		{ 2, "Fieldbus" },
		{ 3, "Warning/Fault Signal (NO)" },
		{ 4, "Trip/Error Signal (NO)" },
		{ 5, "Trip/Error Signal (NC)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P277
{
	SLOT 1;
	INDEX 21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P277 }
	}
}

WRITE_P277 LIKE READ_P277
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P277 }
		REPLY { }
	}
}

VARIABLE P278
{
	LABEL "P278 Digital Output O2 Function";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Internal Use (P202)" },
		{ 1, "Ladder" },
		{ 2, "Fieldbus" },
		{ 3, "Warning/Fault Signal (NO)" },
		{ 4, "Trip/Error Signal (NO)" },
		{ 5, "Trip/Error Signal (NC)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P278
{
	SLOT 1;
	INDEX 22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P278 }
	}
}

WRITE_P278 LIKE READ_P278
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P278 }
		REPLY { }
	}
}

VARIABLE P279
{
	LABEL "P279 Digital Outout O3 Function";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Internal Use (P202)" },
		{ 1, "Ladder" },
		{ 2, "Fieldbus" },
		{ 3, "Warning/Fault Signal (NO)" },
		{ 4, "Trip/Error Signal (NO)" },
		{ 5, "Trip/Error Signal (NC)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P279
{
	SLOT 1;
	INDEX 23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P279 }
	}
}

WRITE_P279 LIKE READ_P279
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P279 }
		REPLY { }
	}
}

VARIABLE P280
{
	LABEL "P280 Digital Outout O4 Function";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Internal Use (P202)" },
		{ 1, "Ladder" },
		{ 2, "Fieldbus" },
		{ 3, "Warning/Fault Signal (NO)" },
		{ 4, "Trip/Error Signal (NO)" },
		{ 5, "Trip/Error Signal (NC)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P280
{
	SLOT 1;
	INDEX 24;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P280 }
	}
}

WRITE_P280 LIKE READ_P280
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P280 }
		REPLY { }
	}
}

VARIABLE P295
{
	LABEL "P295 Current Measurement Unit (UMC)";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "UMC0 (0.25 - 2.5 A)" },
		{ 1, "UMC1 (0.5 - 5 A)" },
		{ 2, "UMC2 (1.25 -12.5 A)" },
		{ 3, "UMC3 (2.5 - 25 A)" },
		{ 4, "UMC4 (12.5 - 125 A)" },
		{ 5, "UMC5 (42 - 420 A)" },
		{ 6, "UMC6 (84 - 840 A)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P295
{
	SLOT 1;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P295 }
	}
}

WRITE_P295 LIKE READ_P295
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P295 }
		REPLY { }
	}
}

VARIABLE P297
{
	LABEL "P297 Motor Type";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Three-Phase" },
		{ 1, "Single-Phase" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P297
{
	SLOT 1;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P297 }
	}
}

WRITE_P297 LIKE READ_P297
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P297 }
		REPLY { }
	}
}

VARIABLE P313
{
	LABEL "P313 Action in Case of Communication Error";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Only Fault Indication" },
		{ 1, "The motor is turned off" },
		{ 2, "The motor is turned off and the commands are reset" },
		{ 3, "It changes to Local" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P313
{
	SLOT 1;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P313 }
	}
}

WRITE_P313 LIKE READ_P313
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P313 }
		REPLY { }
	}
}

VARIABLE P314
{
	LABEL "P314 Serial Watchdog";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P314
{
	SLOT 1;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P314 }
	}
}

WRITE_P314 LIKE READ_P314
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P314 }
		REPLY { }
	}
}

VARIABLE P400
{
	LABEL "P400 Motor Nominal Voltage";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 380;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
	CONSTANT_UNIT "V";
}

COMMAND READ_P400
{
	SLOT 1;
	INDEX 144;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P400 }
	}
}

WRITE_P400 LIKE READ_P400
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P400 }
		REPLY { }
	}
}

VARIABLE P401
{
	LABEL "P401 Motor Nominal Current 1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P401
{
	SLOT 1;
	INDEX 145;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P401 }
	}
}

WRITE_P401 LIKE READ_P401
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P401 }
		REPLY { }
	}
}

VARIABLE P402
{
	LABEL "P402 Motor Nominal Current 2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P402
{
	SLOT 1;
	INDEX 146;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P402 }
	}
}

WRITE_P402 LIKE READ_P402
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P402 }
		REPLY { }
	}
}

VARIABLE P406
{
	LABEL "P406 Service Factor";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.01;
	}
}

COMMAND READ_P406
{
	SLOT 1;
	INDEX 150;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P406 }
	}
}

WRITE_P406 LIKE READ_P406
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P406 }
		REPLY { }
	}
}

VARIABLE P407
{
	LABEL "P407 Line Frequency";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 60;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "Hz";
}

COMMAND READ_P407
{
	SLOT 1;
	INDEX 151;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P407 }
	}
}

WRITE_P407 LIKE READ_P407
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P407 }
		REPLY { }
	}
}

VARIABLE P500
{
	LABEL "P500 Parameters Upload/Download";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "No Function" },
		{ 1, "Save Bank 1" },
		{ 2, "Save Bank 2" },
		{ 3, "Save Bank 3" },
		{ 4, "Load Bank 1" },
		{ 5, "Load Bank 2" },
		{ 6, "Load Bank 3" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P500
{
	SLOT 1;
	INDEX 244;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P500 }
	}
}

WRITE_P500 LIKE READ_P500
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P500 }
		REPLY { }
	}
}

VARIABLE P501
{
	LABEL "P501 User Program Upload/Download";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "No Function" },
		{ 1, "Save Applicative 1" },
		{ 2, "Save Applicative 2" },
		{ 3, "Save Applicative 3" },
		{ 4, "Load Applicative 1" },
		{ 5, "Load Applicative 2" },
		{ 6, "Load Applicative 3" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P501
{
	SLOT 1;
	INDEX 245;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P501 }
	}
}

WRITE_P501 LIKE READ_P501
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P501 }
		REPLY { }
	}
}

VARIABLE P601
{
	LABEL "P601 Reset Selection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Without Local Reset" },
		{ 1, "Front Button" },
		{ 2, "RESET Key (HMI)" },
		{ 3, "Digital Input I3" },
		{ 4, "Digital Input I4" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P601
{
	SLOT 2;
	INDEX 90;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P601 }
	}
}

WRITE_P601 LIKE READ_P601
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P601 }
		REPLY { }
	}
}

VARIABLE P602
{
	LABEL "P602 Function Test/Reset Button";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P602
{
	SLOT 2;
	INDEX 91;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P602 }
	}
}

WRITE_P602 LIKE READ_P602
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P602 }
		REPLY { }
	}
}

VARIABLE P609
{
	LABEL "P609 External Fault Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P609
{
	SLOT 2;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P609 }
	}
}

WRITE_P609 LIKE READ_P609
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P609 }
		REPLY { }
	}
}

VARIABLE P610
{
	LABEL "P610 External Fault Monitoring of protection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Always" },
		{ 1, "Only when the motor is running" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P610
{
	SLOT 2;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P610 }
	}
}

WRITE_P610 LIKE READ_P610
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P610 }
		REPLY { }
	}
}

VARIABLE P611
{
	LABEL "P611 External Fault Signal";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Digital Input I1" },
		{ 1, "Digital Input I2" },
		{ 2, "Digital Input I3" },
		{ 3, "Digital Input I4" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P611
{
	SLOT 2;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P611 }
	}
}

WRITE_P611 LIKE READ_P611
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P611 }
		REPLY { }
	}
}

VARIABLE P612
{
	LABEL "P612 External Fault signal logic ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Digital Input NC" },
		{ 1, "Digital Input NO" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P612
{
	SLOT 2;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P612 }
	}
}

WRITE_P612 LIKE READ_P612
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P612 }
		REPLY { }
	}
}

VARIABLE P613
{
	LABEL "P613 External Fault Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Warning" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P613
{
	SLOT 2;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P613 }
	}
}

WRITE_P613 LIKE READ_P613
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P613 }
		REPLY { }
	}
}

VARIABLE P614
{
	LABEL "P614 Current Imbalance";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 40;
		MIN_VALUE 5;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P614
{
	SLOT 2;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P614 }
	}
}

WRITE_P614 LIKE READ_P614
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P614 }
		REPLY { }
	}
}

VARIABLE P615
{
	LABEL "P615 Currente Imbalance Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P615
{
	SLOT 2;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P615 }
	}
}

WRITE_P615 LIKE READ_P615
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P615 }
		REPLY { }
	}
}

VARIABLE P616
{
	LABEL "P616 Currente Imbalance Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P616
{
	SLOT 2;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P616 }
	}
}

WRITE_P616 LIKE READ_P616
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P616 }
		REPLY { }
	}
}

VARIABLE P617
{
	LABEL "P617 Earth Fault";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 50;
		MIN_VALUE 40;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P617
{
	SLOT 2;
	INDEX 106;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P617 }
	}
}

WRITE_P617 LIKE READ_P617
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P617 }
		REPLY { }
	}
}

VARIABLE P618
{
	LABEL "P618 Earth Fault Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P618
{
	SLOT 2;
	INDEX 107;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P618 }
	}
}

WRITE_P618 LIKE READ_P618
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P618 }
		REPLY { }
	}
}

VARIABLE P619
{
	LABEL "P619 Earth Fault Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P619
{
	SLOT 2;
	INDEX 108;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P619 }
	}
}

WRITE_P619 LIKE READ_P619
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P619 }
		REPLY { }
	}
}

VARIABLE P620
{
	LABEL "P620 Phase Loss Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P620
{
	SLOT 2;
	INDEX 109;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P620 }
	}
}

WRITE_P620 LIKE READ_P620
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P620 }
		REPLY { }
	}
}

VARIABLE P621
{
	LABEL "P621 Phase Loss Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P621
{
	SLOT 2;
	INDEX 110;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P621 }
	}
}

WRITE_P621 LIKE READ_P621
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P621 }
		REPLY { }
	}
}

VARIABLE P622
{
	LABEL "P622 Overcurrent";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 400;
		MIN_VALUE 50;
		MAX_VALUE 1000;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P622
{
	SLOT 2;
	INDEX 111;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P622 }
	}
}

WRITE_P622 LIKE READ_P622
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P622 }
		REPLY { }
	}
}

VARIABLE P623
{
	LABEL "P623 Overcurrent Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 3;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P623
{
	SLOT 2;
	INDEX 112;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P623 }
	}
}

WRITE_P623 LIKE READ_P623
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P623 }
		REPLY { }
	}
}

VARIABLE P624
{
	LABEL "P624 Overcurrent Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P624
{
	SLOT 2;
	INDEX 113;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P624 }
	}
}

WRITE_P624 LIKE READ_P624
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P624 }
		REPLY { }
	}
}

VARIABLE P625
{
	LABEL "P625 Undercurrent";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 20;
		MIN_VALUE 5;
		MAX_VALUE 100;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P625
{
	SLOT 2;
	INDEX 114;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P625 }
	}
}

WRITE_P625 LIKE READ_P625
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P625 }
		REPLY { }
	}
}

VARIABLE P626
{
	LABEL "P626 Undercurrent Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P626
{
	SLOT 2;
	INDEX 115;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P626 }
	}
}

WRITE_P626 LIKE READ_P626
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P626 }
		REPLY { }
	}
}

VARIABLE P627
{
	LABEL "P627 Undercurrent Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P627
{
	SLOT 2;
	INDEX 116;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P627 }
	}
}

WRITE_P627 LIKE READ_P627
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P627 }
		REPLY { }
	}
}

VARIABLE P628
{
	LABEL "P628 Frequency out of Range";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 5;
		MIN_VALUE 5;
		MAX_VALUE 20;
	}
	CONSTANT_UNIT "%";
}

COMMAND READ_P628
{
	SLOT 2;
	INDEX 117;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P628 }
	}
}

WRITE_P628 LIKE READ_P628
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P628 }
		REPLY { }
	}
}

VARIABLE P629
{
	LABEL "P629 Frequency out of Range Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 99;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P629
{
	SLOT 2;
	INDEX 118;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P629 }
	}
}

WRITE_P629 LIKE READ_P629
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P629 }
		REPLY { }
	}
}

VARIABLE P630
{
	LABEL "P630 Frequency out of Range Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P630
{
	SLOT 2;
	INDEX 119;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P630 }
	}
}

WRITE_P630 LIKE READ_P630
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P630 }
		REPLY { }
	}
}

VARIABLE P631
{
	LABEL "P631 Earth Leakage Protection ";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P631
{
	SLOT 2;
	INDEX 120;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P631 }
	}
}

WRITE_P631 LIKE READ_P631
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P631 }
		REPLY { }
	}
}

VARIABLE P632
{
	LABEL "P632 Earth Leakage Current Level Selection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "3" },
		{ 1, "5" },
		{ 2, "1" },
		{ 3, "2" },
		{ 4, "3" },
		{ 5, "5" }
		DEFAULT_VALUE 2;
	}
	CONSTANT_UNIT "A";
}

COMMAND READ_P632
{
	SLOT 2;
	INDEX 121;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P632 }
	}
}

WRITE_P632 LIKE READ_P632
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P632 }
		REPLY { }
	}
}

VARIABLE P633
{
	LABEL "P633 Earth Leakage Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.1;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P633
{
	SLOT 2;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P633 }
	}
}

WRITE_P633 LIKE READ_P633
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P633 }
		REPLY { }
	}
}

VARIABLE P634
{
	LABEL "P634 Earth Leakage Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Warning" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P634
{
	SLOT 2;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P634 }
	}
}

WRITE_P634 LIKE READ_P634
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P634 }
		REPLY { }
	}
}

VARIABLE P635
{
	LABEL "P635 Earth Leakage Start up Inhibit";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P635
{
	SLOT 2;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P635 }
	}
}

WRITE_P635 LIKE READ_P635
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P635 }
		REPLY { }
	}
}

VARIABLE P636
{
	LABEL "P636 Earth Leakage Start up Time Inhibit ";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 5;
		MIN_VALUE 1;
		MAX_VALUE 600;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P636
{
	SLOT 2;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P636 }
	}
}

WRITE_P636 LIKE READ_P636
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P636 }
		REPLY { }
	}
}

VARIABLE P637
{
	LABEL "P637 Earth Leakage Short circuit Trip Inhibit";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P637
{
	SLOT 2;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P637 }
	}
}

WRITE_P637 LIKE READ_P637
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P637 }
		REPLY { }
	}
}

VARIABLE P640
{
	LABEL "P640 Relay Tripping Class";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Class 5" },
		{ 2, "Class 10" },
		{ 3, "Class 15" },
		{ 4, "Class 20" },
		{ 5, "Class 25" },
		{ 6, "Class 30" },
		{ 7, "Class 35" },
		{ 8, "Class 40" },
		{ 9, "Class 45" }
		DEFAULT_VALUE 2;
	}
}

COMMAND READ_P640
{
	SLOT 2;
	INDEX 129;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P640 }
	}
}

WRITE_P640 LIKE READ_P640
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P640 }
		REPLY { }
	}
}

VARIABLE P641
{
	LABEL "P641 Overload Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P641
{
	SLOT 2;
	INDEX 130;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P641 }
	}
}

WRITE_P641 LIKE READ_P641
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P641 }
		REPLY { }
	}
}

VARIABLE P642
{
	LABEL "P642 Cooling Time";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 3600;
	}
	CONSTANT_UNIT "s";
}

COMMAND READ_P642
{
	SLOT 2;
	INDEX 131;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P642 }
	}
}

WRITE_P642 LIKE READ_P642
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P642 }
		REPLY { }
	}
}

VARIABLE P643
{
	LABEL "P643 Auto-Reset (Overload/PTC)";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P643
{
	SLOT 2;
	INDEX 132;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P643 }
	}
}

WRITE_P643 LIKE READ_P643
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P643 }
		REPLY { }
	}
}

VARIABLE P644
{
	LABEL "P644 PTC Protection";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Disabled" },
		{ 1, "Enabled" }
		DEFAULT_VALUE 0;
	}
}

COMMAND READ_P644
{
	SLOT 2;
	INDEX 133;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P644 }
	}
}

WRITE_P644 LIKE READ_P644
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P644 }
		REPLY { }
	}
}

VARIABLE P645
{
	LABEL "P645 PTC Protection Action";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Alarm" },
		{ 1, "Switch off (Trip)" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P645
{
	SLOT 2;
	INDEX 134;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P645 }
	}
}

WRITE_P645 LIKE READ_P645
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P645 }
		REPLY { }
	}
}

VARIABLE P703
{
	LABEL "P703 Bus Off Reset";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "Manual" },
		{ 1, "Automatic" }
		DEFAULT_VALUE 1;
	}
}

COMMAND READ_P703
{
	SLOT 2;
	INDEX 192;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P703 }
	}
}

WRITE_P703 LIKE READ_P703
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P703 }
		REPLY { }
	}
}

VARIABLE P705
{
	LABEL "P705 CAN Controller Status";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "Inactive" },
		{ 1, "Auto-baud" },
		{ 2, "CAN Active" },
		{ 3, "Warning" },
		{ 4, "Error Passive" },
		{ 5, "Bus Off" },
		{ 6, "Without Power Supply" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P705
{
	SLOT 2;
	INDEX 194;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P705 }
	}
}

VARIABLE P706
{
	LABEL "P706 Received CAN Telegrams Counter";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P706
{
	SLOT 2;
	INDEX 195;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P706 }
	}
}

VARIABLE P707
{
	LABEL "P707 Transmitted CAN Telegrams Counter";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P707
{
	SLOT 2;
	INDEX 196;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P707 }
	}
}

VARIABLE P708
{
	LABEL "P708 Bus Off Counter";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P708
{
	SLOT 2;
	INDEX 197;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P708 }
	}
}

VARIABLE P709
{
	LABEL "P709 Lost CAN Telegrams Counter";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P709
{
	SLOT 2;
	INDEX 198;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P709 }
	}
}

VARIABLE P719
{
	LABEL "P719 DeviceNet Network Status";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "Offline" },
		{ 1, "Online, Not Connected" },
		{ 2, "Online Connected" },
		{ 3, "Expired Connection" },
		{ 4, "Connection Fault" },
		{ 5, "Auto-Baud" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P719
{
	SLOT 2;
	INDEX 208;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P719 }
	}
}

VARIABLE P720
{
	LABEL "P720 DeviceNet Master Status";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "Run" },
		{ 1, "Idle" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P720
{
	SLOT 2;
	INDEX 209;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P720 }
	}
}

VARIABLE P725
{
	LABEL "P725 Communication Module Address";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 63;
		MIN_VALUE 0;
		MAX_VALUE 255;
	}
}

COMMAND READ_P725
{
	SLOT 2;
	INDEX 214;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P725 }
	}
}

WRITE_P725 LIKE READ_P725
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P725 }
		REPLY { }
	}
}

VARIABLE P726
{
	LABEL "P726 DeviceNet/Modbus Baud Rate";
	CLASS CONTAINED;
	TYPE ENUMERATED(2)
	{

		{ 0, "125kbit/s / 4.8kbit/s" },
		{ 1, "250kbit/s / 9.6kbit/s" },
		{ 2, "500kbit/s / 19.2kbit/s" },
		{ 3, "Autobaud / 38.4kbit/s" }
		DEFAULT_VALUE 3;
	}
}

COMMAND READ_P726
{
	SLOT 2;
	INDEX 215;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P726 }
	}
}

WRITE_P726 LIKE READ_P726
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P726 }
		REPLY { }
	}
}

VARIABLE P727
{
	LABEL "P727 DeviceNet Data Profile";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "ODVA" },
		{ 1, "WEG" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P727
{
	SLOT 2;
	INDEX 216;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P727 }
	}
}

VARIABLE P728
{
	LABEL "P728 Number of  Words from the Slave to the Master";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 5;
	}
}

COMMAND READ_P728
{
	SLOT 2;
	INDEX 217;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P728 }
	}
}

WRITE_P728 LIKE READ_P728
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P728 }
		REPLY { }
	}
}

VARIABLE P729
{
	LABEL "P729 Status Word #1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P729
{
	SLOT 2;
	INDEX 218;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P729 }
	}
}

VARIABLE P730
{
	LABEL "P730 Parameter Transmitted at Word #2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P730
{
	SLOT 2;
	INDEX 219;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P730 }
	}
}

WRITE_P730 LIKE READ_P730
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P730 }
		REPLY { }
	}
}

VARIABLE P731
{
	LABEL "P731 Parameter Transmitted at Word #3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P731
{
	SLOT 2;
	INDEX 220;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P731 }
	}
}

WRITE_P731 LIKE READ_P731
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P731 }
		REPLY { }
	}
}

VARIABLE P732
{
	LABEL "P732 Parameter Transmitted at Word #4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P732
{
	SLOT 2;
	INDEX 221;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P732 }
	}
}

WRITE_P732 LIKE READ_P732
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P732 }
		REPLY { }
	}
}

VARIABLE P733
{
	LABEL "P733 Parameter Transmitted at Word #5";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P733
{
	SLOT 2;
	INDEX 222;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P733 }
	}
}

WRITE_P733 LIKE READ_P733
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P733 }
		REPLY { }
	}
}

VARIABLE P734
{
	LABEL "P734 Number of  Words from the Master to the Slave";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 1;
		MIN_VALUE 1;
		MAX_VALUE 2;
	}
}

COMMAND READ_P734
{
	SLOT 2;
	INDEX 223;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P734 }
	}
}

WRITE_P734 LIKE READ_P734
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P734 }
		REPLY { }
	}
}

VARIABLE P735
{
	LABEL "P735 Control Word #1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P735
{
	SLOT 2;
	INDEX 224;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P735 }
	}
}

VARIABLE P736
{
	LABEL "P736 Parameter Received at Word #2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P736
{
	SLOT 2;
	INDEX 225;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P736 }
	}
}

WRITE_P736 LIKE READ_P736
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P736 }
		REPLY { }
	}
}

VARIABLE P740
{
	LABEL "P740 Profibus Network Status";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE ENUMERATED(2)
	{

		{ 0, "Inactive" },
		{ 1, "Initialization error" },
		{ 2, "Offline" },
		{ 3, "Configuration data error" },
		{ 4, "Parameter data error" },
		{ 5, "Clear mode" },
		{ 6, "Online" }
		DEFAULT_VALUE 0;
	}
	HANDLING READ;
}

COMMAND READ_P740
{
	SLOT 2;
	INDEX 229;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P740 }
	}
}

VARIABLE P770
{
	LABEL "P770 Reading Programmable Parameter #1";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P770
{
	SLOT 3;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P770 }
	}
}

WRITE_P770 LIKE READ_P770
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P770 }
		REPLY { }
	}
}

VARIABLE P771
{
	LABEL "P771 Reading Programmable Parameter #2";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P771
{
	SLOT 3;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P771 }
	}
}

WRITE_P771 LIKE READ_P771
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P771 }
		REPLY { }
	}
}

VARIABLE P772
{
	LABEL "P772 Reading Programmable Parameter #3";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P772
{
	SLOT 3;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P772 }
	}
}

WRITE_P772 LIKE READ_P772
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P772 }
		REPLY { }
	}
}

VARIABLE P773
{
	LABEL "P773 Reading Programmable Parameter #4";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P773
{
	SLOT 3;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P773 }
	}
}

WRITE_P773 LIKE READ_P773
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P773 }
		REPLY { }
	}
}

VARIABLE P774
{
	LABEL "P774 Reading Programmable Parameter #5";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P774
{
	SLOT 3;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P774 }
	}
}

WRITE_P774 LIKE READ_P774
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P774 }
		REPLY { }
	}
}

VARIABLE P775
{
	LABEL "P775 Reading Programmable Parameter #6";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 999;
	}
}

COMMAND READ_P775
{
	SLOT 3;
	INDEX 9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P775 }
	}
}

WRITE_P775 LIKE READ_P775
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P775 }
		REPLY { }
	}
}

VARIABLE P780
{
	LABEL "P780 Valeu of Programmable Parameter #1";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P780
{
	SLOT 3;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P780 }
	}
}

VARIABLE P781
{
	LABEL "P781 Valeu of Programmable Parameter #2";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P781
{
	SLOT 3;
	INDEX 15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P781 }
	}
}

VARIABLE P782
{
	LABEL "P782 Valeu of Programmable Parameter #3";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P782
{
	SLOT 3;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P782 }
	}
}

VARIABLE P783
{
	LABEL "P783 Valeu of Programmable Parameter #4";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P783
{
	SLOT 3;
	INDEX 17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P783 }
	}
}

VARIABLE P784
{
	LABEL "P784 Valeu of Programmable Parameter #5";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P784
{
	SLOT 3;
	INDEX 18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P784 }
	}
}

VARIABLE P785
{
	LABEL "P785 Valeu of Programmable Parameter #6";
	CLASS DIAGNOSTIC & DYNAMIC;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
	HANDLING READ;
}

COMMAND READ_P785
{
	SLOT 3;
	INDEX 19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P785 }
	}
}

VARIABLE P798
{
	LABEL "P798 Earth Leakage Current Gain Adjustment";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P798
{
	SLOT 3;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P798 }
	}
}

WRITE_P798 LIKE READ_P798
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P798 }
		REPLY { }
	}
}

VARIABLE P799
{
	LABEL "P799 UMC Gain Adjustment";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{
		SCALING_FACTOR 0.001;
	}
}

COMMAND READ_P799
{
	SLOT 3;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P799 }
	}
}

WRITE_P799 LIKE READ_P799
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P799 }
		REPLY { }
	}
}

VARIABLE P800
{
	LABEL "P800 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P800
{
	SLOT 3;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P800 }
	}
}

WRITE_P800 LIKE READ_P800
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P800 }
		REPLY { }
	}
}

VARIABLE P801
{
	LABEL "P801 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P801
{
	SLOT 3;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P801 }
	}
}

WRITE_P801 LIKE READ_P801
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P801 }
		REPLY { }
	}
}

VARIABLE P802
{
	LABEL "P802 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P802
{
	SLOT 3;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P802 }
	}
}

WRITE_P802 LIKE READ_P802
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P802 }
		REPLY { }
	}
}

VARIABLE P803
{
	LABEL "P803 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P803
{
	SLOT 3;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P803 }
	}
}

WRITE_P803 LIKE READ_P803
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P803 }
		REPLY { }
	}
}

VARIABLE P804
{
	LABEL "P804 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P804
{
	SLOT 3;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P804 }
	}
}

WRITE_P804 LIKE READ_P804
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P804 }
		REPLY { }
	}
}

VARIABLE P805
{
	LABEL "P805 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P805
{
	SLOT 3;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P805 }
	}
}

WRITE_P805 LIKE READ_P805
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P805 }
		REPLY { }
	}
}

VARIABLE P806
{
	LABEL "P806 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P806
{
	SLOT 3;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P806 }
	}
}

WRITE_P806 LIKE READ_P806
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P806 }
		REPLY { }
	}
}

VARIABLE P807
{
	LABEL "P807 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P807
{
	SLOT 3;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P807 }
	}
}

WRITE_P807 LIKE READ_P807
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P807 }
		REPLY { }
	}
}

VARIABLE P808
{
	LABEL "P808 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P808
{
	SLOT 3;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P808 }
	}
}

WRITE_P808 LIKE READ_P808
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P808 }
		REPLY { }
	}
}

VARIABLE P809
{
	LABEL "P809 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P809
{
	SLOT 3;
	INDEX 43;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P809 }
	}
}

WRITE_P809 LIKE READ_P809
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P809 }
		REPLY { }
	}
}

VARIABLE P810
{
	LABEL "P810 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P810
{
	SLOT 3;
	INDEX 44;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P810 }
	}
}

WRITE_P810 LIKE READ_P810
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P810 }
		REPLY { }
	}
}

VARIABLE P811
{
	LABEL "P811 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P811
{
	SLOT 3;
	INDEX 45;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P811 }
	}
}

WRITE_P811 LIKE READ_P811
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P811 }
		REPLY { }
	}
}

VARIABLE P812
{
	LABEL "P812 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P812
{
	SLOT 3;
	INDEX 46;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P812 }
	}
}

WRITE_P812 LIKE READ_P812
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P812 }
		REPLY { }
	}
}

VARIABLE P813
{
	LABEL "P813 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P813
{
	SLOT 3;
	INDEX 47;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P813 }
	}
}

WRITE_P813 LIKE READ_P813
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P813 }
		REPLY { }
	}
}

VARIABLE P814
{
	LABEL "P814 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P814
{
	SLOT 3;
	INDEX 48;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P814 }
	}
}

WRITE_P814 LIKE READ_P814
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P814 }
		REPLY { }
	}
}

VARIABLE P815
{
	LABEL "P815 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P815
{
	SLOT 3;
	INDEX 49;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P815 }
	}
}

WRITE_P815 LIKE READ_P815
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P815 }
		REPLY { }
	}
}

VARIABLE P816
{
	LABEL "P816 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P816
{
	SLOT 3;
	INDEX 50;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P816 }
	}
}

WRITE_P816 LIKE READ_P816
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P816 }
		REPLY { }
	}
}

VARIABLE P817
{
	LABEL "P817 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P817
{
	SLOT 3;
	INDEX 51;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P817 }
	}
}

WRITE_P817 LIKE READ_P817
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P817 }
		REPLY { }
	}
}

VARIABLE P818
{
	LABEL "P818 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P818
{
	SLOT 3;
	INDEX 52;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P818 }
	}
}

WRITE_P818 LIKE READ_P818
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P818 }
		REPLY { }
	}
}

VARIABLE P819
{
	LABEL "P819 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P819
{
	SLOT 3;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P819 }
	}
}

WRITE_P819 LIKE READ_P819
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P819 }
		REPLY { }
	}
}

VARIABLE P820
{
	LABEL "P820 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P820
{
	SLOT 3;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P820 }
	}
}

WRITE_P820 LIKE READ_P820
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P820 }
		REPLY { }
	}
}

VARIABLE P821
{
	LABEL "P821 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P821
{
	SLOT 3;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P821 }
	}
}

WRITE_P821 LIKE READ_P821
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P821 }
		REPLY { }
	}
}

VARIABLE P822
{
	LABEL "P822 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P822
{
	SLOT 3;
	INDEX 56;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P822 }
	}
}

WRITE_P822 LIKE READ_P822
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P822 }
		REPLY { }
	}
}

VARIABLE P823
{
	LABEL "P823 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P823
{
	SLOT 3;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P823 }
	}
}

WRITE_P823 LIKE READ_P823
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P823 }
		REPLY { }
	}
}

VARIABLE P824
{
	LABEL "P824 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P824
{
	SLOT 3;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P824 }
	}
}

WRITE_P824 LIKE READ_P824
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P824 }
		REPLY { }
	}
}

VARIABLE P825
{
	LABEL "P825 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P825
{
	SLOT 3;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P825 }
	}
}

WRITE_P825 LIKE READ_P825
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P825 }
		REPLY { }
	}
}

VARIABLE P826
{
	LABEL "P826 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P826
{
	SLOT 3;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P826 }
	}
}

WRITE_P826 LIKE READ_P826
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P826 }
		REPLY { }
	}
}

VARIABLE P827
{
	LABEL "P827 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P827
{
	SLOT 3;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P827 }
	}
}

WRITE_P827 LIKE READ_P827
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P827 }
		REPLY { }
	}
}

VARIABLE P828
{
	LABEL "P828 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P828
{
	SLOT 3;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P828 }
	}
}

WRITE_P828 LIKE READ_P828
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P828 }
		REPLY { }
	}
}

VARIABLE P829
{
	LABEL "P829 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P829
{
	SLOT 3;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P829 }
	}
}

WRITE_P829 LIKE READ_P829
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P829 }
		REPLY { }
	}
}

VARIABLE P830
{
	LABEL "P830 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P830
{
	SLOT 3;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P830 }
	}
}

WRITE_P830 LIKE READ_P830
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P830 }
		REPLY { }
	}
}

VARIABLE P831
{
	LABEL "P831 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P831
{
	SLOT 3;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P831 }
	}
}

WRITE_P831 LIKE READ_P831
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P831 }
		REPLY { }
	}
}

VARIABLE P832
{
	LABEL "P832 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P832
{
	SLOT 3;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P832 }
	}
}

WRITE_P832 LIKE READ_P832
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P832 }
		REPLY { }
	}
}

VARIABLE P833
{
	LABEL "P833 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P833
{
	SLOT 3;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P833 }
	}
}

WRITE_P833 LIKE READ_P833
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P833 }
		REPLY { }
	}
}

VARIABLE P834
{
	LABEL "P834 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P834
{
	SLOT 3;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P834 }
	}
}

WRITE_P834 LIKE READ_P834
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P834 }
		REPLY { }
	}
}

VARIABLE P835
{
	LABEL "P835 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P835
{
	SLOT 3;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P835 }
	}
}

WRITE_P835 LIKE READ_P835
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P835 }
		REPLY { }
	}
}

VARIABLE P836
{
	LABEL "P836 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P836
{
	SLOT 3;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P836 }
	}
}

WRITE_P836 LIKE READ_P836
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P836 }
		REPLY { }
	}
}

VARIABLE P837
{
	LABEL "P837 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P837
{
	SLOT 3;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P837 }
	}
}

WRITE_P837 LIKE READ_P837
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P837 }
		REPLY { }
	}
}

VARIABLE P838
{
	LABEL "P838 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P838
{
	SLOT 3;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P838 }
	}
}

WRITE_P838 LIKE READ_P838
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P838 }
		REPLY { }
	}
}

VARIABLE P839
{
	LABEL "P839 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P839
{
	SLOT 3;
	INDEX 73;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P839 }
	}
}

WRITE_P839 LIKE READ_P839
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P839 }
		REPLY { }
	}
}

VARIABLE P840
{
	LABEL "P840 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P840
{
	SLOT 3;
	INDEX 74;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P840 }
	}
}

WRITE_P840 LIKE READ_P840
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P840 }
		REPLY { }
	}
}

VARIABLE P841
{
	LABEL "P841 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P841
{
	SLOT 3;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P841 }
	}
}

WRITE_P841 LIKE READ_P841
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P841 }
		REPLY { }
	}
}

VARIABLE P842
{
	LABEL "P842 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P842
{
	SLOT 3;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P842 }
	}
}

WRITE_P842 LIKE READ_P842
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P842 }
		REPLY { }
	}
}

VARIABLE P843
{
	LABEL "P843 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P843
{
	SLOT 3;
	INDEX 77;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P843 }
	}
}

WRITE_P843 LIKE READ_P843
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P843 }
		REPLY { }
	}
}

VARIABLE P844
{
	LABEL "P844 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P844
{
	SLOT 3;
	INDEX 78;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P844 }
	}
}

WRITE_P844 LIKE READ_P844
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P844 }
		REPLY { }
	}
}

VARIABLE P845
{
	LABEL "P845 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P845
{
	SLOT 3;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P845 }
	}
}

WRITE_P845 LIKE READ_P845
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P845 }
		REPLY { }
	}
}

VARIABLE P846
{
	LABEL "P846 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P846
{
	SLOT 3;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P846 }
	}
}

WRITE_P846 LIKE READ_P846
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P846 }
		REPLY { }
	}
}

VARIABLE P847
{
	LABEL "P847 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P847
{
	SLOT 3;
	INDEX 81;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P847 }
	}
}

WRITE_P847 LIKE READ_P847
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P847 }
		REPLY { }
	}
}

VARIABLE P848
{
	LABEL "P848 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P848
{
	SLOT 3;
	INDEX 82;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P848 }
	}
}

WRITE_P848 LIKE READ_P848
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P848 }
		REPLY { }
	}
}

VARIABLE P849
{
	LABEL "P849 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P849
{
	SLOT 3;
	INDEX 83;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P849 }
	}
}

WRITE_P849 LIKE READ_P849
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P849 }
		REPLY { }
	}
}

VARIABLE P850
{
	LABEL "P850 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P850
{
	SLOT 3;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P850 }
	}
}

WRITE_P850 LIKE READ_P850
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P850 }
		REPLY { }
	}
}

VARIABLE P851
{
	LABEL "P851 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P851
{
	SLOT 3;
	INDEX 85;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P851 }
	}
}

WRITE_P851 LIKE READ_P851
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P851 }
		REPLY { }
	}
}

VARIABLE P852
{
	LABEL "P852 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P852
{
	SLOT 3;
	INDEX 86;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P852 }
	}
}

WRITE_P852 LIKE READ_P852
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P852 }
		REPLY { }
	}
}

VARIABLE P853
{
	LABEL "P853 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P853
{
	SLOT 3;
	INDEX 87;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P853 }
	}
}

WRITE_P853 LIKE READ_P853
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P853 }
		REPLY { }
	}
}

VARIABLE P854
{
	LABEL "P854 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P854
{
	SLOT 3;
	INDEX 88;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P854 }
	}
}

WRITE_P854 LIKE READ_P854
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P854 }
		REPLY { }
	}
}

VARIABLE P855
{
	LABEL "P855 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P855
{
	SLOT 3;
	INDEX 89;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P855 }
	}
}

WRITE_P855 LIKE READ_P855
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P855 }
		REPLY { }
	}
}

VARIABLE P856
{
	LABEL "P856 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P856
{
	SLOT 3;
	INDEX 90;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P856 }
	}
}

WRITE_P856 LIKE READ_P856
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P856 }
		REPLY { }
	}
}

VARIABLE P857
{
	LABEL "P857 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P857
{
	SLOT 3;
	INDEX 91;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P857 }
	}
}

WRITE_P857 LIKE READ_P857
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P857 }
		REPLY { }
	}
}

VARIABLE P858
{
	LABEL "P858 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P858
{
	SLOT 3;
	INDEX 92;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P858 }
	}
}

WRITE_P858 LIKE READ_P858
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P858 }
		REPLY { }
	}
}

VARIABLE P859
{
	LABEL "P859 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P859
{
	SLOT 3;
	INDEX 93;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P859 }
	}
}

WRITE_P859 LIKE READ_P859
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P859 }
		REPLY { }
	}
}

VARIABLE P860
{
	LABEL "P860 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P860
{
	SLOT 3;
	INDEX 94;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P860 }
	}
}

WRITE_P860 LIKE READ_P860
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P860 }
		REPLY { }
	}
}

VARIABLE P861
{
	LABEL "P861 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P861
{
	SLOT 3;
	INDEX 95;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P861 }
	}
}

WRITE_P861 LIKE READ_P861
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P861 }
		REPLY { }
	}
}

VARIABLE P862
{
	LABEL "P862 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P862
{
	SLOT 3;
	INDEX 96;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P862 }
	}
}

WRITE_P862 LIKE READ_P862
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P862 }
		REPLY { }
	}
}

VARIABLE P863
{
	LABEL "P863 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P863
{
	SLOT 3;
	INDEX 97;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P863 }
	}
}

WRITE_P863 LIKE READ_P863
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P863 }
		REPLY { }
	}
}

VARIABLE P864
{
	LABEL "P864 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P864
{
	SLOT 3;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P864 }
	}
}

WRITE_P864 LIKE READ_P864
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P864 }
		REPLY { }
	}
}

VARIABLE P865
{
	LABEL "P865 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P865
{
	SLOT 3;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P865 }
	}
}

WRITE_P865 LIKE READ_P865
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P865 }
		REPLY { }
	}
}

VARIABLE P866
{
	LABEL "P866 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P866
{
	SLOT 3;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P866 }
	}
}

WRITE_P866 LIKE READ_P866
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P866 }
		REPLY { }
	}
}

VARIABLE P867
{
	LABEL "P867 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P867
{
	SLOT 3;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P867 }
	}
}

WRITE_P867 LIKE READ_P867
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P867 }
		REPLY { }
	}
}

VARIABLE P868
{
	LABEL "P868 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P868
{
	SLOT 3;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P868 }
	}
}

WRITE_P868 LIKE READ_P868
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P868 }
		REPLY { }
	}
}

VARIABLE P869
{
	LABEL "P869 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P869
{
	SLOT 3;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P869 }
	}
}

WRITE_P869 LIKE READ_P869
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P869 }
		REPLY { }
	}
}

VARIABLE P870
{
	LABEL "P870 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P870
{
	SLOT 3;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P870 }
	}
}

WRITE_P870 LIKE READ_P870
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P870 }
		REPLY { }
	}
}

VARIABLE P871
{
	LABEL "P871 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P871
{
	SLOT 3;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P871 }
	}
}

WRITE_P871 LIKE READ_P871
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P871 }
		REPLY { }
	}
}

VARIABLE P872
{
	LABEL "P872 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P872
{
	SLOT 3;
	INDEX 106;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P872 }
	}
}

WRITE_P872 LIKE READ_P872
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P872 }
		REPLY { }
	}
}

VARIABLE P873
{
	LABEL "P873 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P873
{
	SLOT 3;
	INDEX 107;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P873 }
	}
}

WRITE_P873 LIKE READ_P873
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P873 }
		REPLY { }
	}
}

VARIABLE P874
{
	LABEL "P874 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P874
{
	SLOT 3;
	INDEX 108;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P874 }
	}
}

WRITE_P874 LIKE READ_P874
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P874 }
		REPLY { }
	}
}

VARIABLE P875
{
	LABEL "P875 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P875
{
	SLOT 3;
	INDEX 109;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P875 }
	}
}

WRITE_P875 LIKE READ_P875
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P875 }
		REPLY { }
	}
}

VARIABLE P876
{
	LABEL "P876 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P876
{
	SLOT 3;
	INDEX 110;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P876 }
	}
}

WRITE_P876 LIKE READ_P876
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P876 }
		REPLY { }
	}
}

VARIABLE P877
{
	LABEL "P877 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P877
{
	SLOT 3;
	INDEX 111;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P877 }
	}
}

WRITE_P877 LIKE READ_P877
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P877 }
		REPLY { }
	}
}

VARIABLE P878
{
	LABEL "P878 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P878
{
	SLOT 3;
	INDEX 112;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P878 }
	}
}

WRITE_P878 LIKE READ_P878
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P878 }
		REPLY { }
	}
}

VARIABLE P879
{
	LABEL "P879 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P879
{
	SLOT 3;
	INDEX 113;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P879 }
	}
}

WRITE_P879 LIKE READ_P879
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P879 }
		REPLY { }
	}
}

VARIABLE P880
{
	LABEL "P880 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P880
{
	SLOT 3;
	INDEX 114;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P880 }
	}
}

WRITE_P880 LIKE READ_P880
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P880 }
		REPLY { }
	}
}

VARIABLE P881
{
	LABEL "P881 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P881
{
	SLOT 3;
	INDEX 115;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P881 }
	}
}

WRITE_P881 LIKE READ_P881
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P881 }
		REPLY { }
	}
}

VARIABLE P882
{
	LABEL "P882 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P882
{
	SLOT 3;
	INDEX 116;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P882 }
	}
}

WRITE_P882 LIKE READ_P882
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P882 }
		REPLY { }
	}
}

VARIABLE P883
{
	LABEL "P883 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P883
{
	SLOT 3;
	INDEX 117;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P883 }
	}
}

WRITE_P883 LIKE READ_P883
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P883 }
		REPLY { }
	}
}

VARIABLE P884
{
	LABEL "P884 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P884
{
	SLOT 3;
	INDEX 118;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P884 }
	}
}

WRITE_P884 LIKE READ_P884
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P884 }
		REPLY { }
	}
}

VARIABLE P885
{
	LABEL "P885 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P885
{
	SLOT 3;
	INDEX 119;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P885 }
	}
}

WRITE_P885 LIKE READ_P885
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P885 }
		REPLY { }
	}
}

VARIABLE P886
{
	LABEL "P886 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P886
{
	SLOT 3;
	INDEX 120;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P886 }
	}
}

WRITE_P886 LIKE READ_P886
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P886 }
		REPLY { }
	}
}

VARIABLE P887
{
	LABEL "P887 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P887
{
	SLOT 3;
	INDEX 121;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P887 }
	}
}

WRITE_P887 LIKE READ_P887
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P887 }
		REPLY { }
	}
}

VARIABLE P888
{
	LABEL "P888 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P888
{
	SLOT 3;
	INDEX 122;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P888 }
	}
}

WRITE_P888 LIKE READ_P888
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P888 }
		REPLY { }
	}
}

VARIABLE P889
{
	LABEL "P889 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P889
{
	SLOT 3;
	INDEX 123;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P889 }
	}
}

WRITE_P889 LIKE READ_P889
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P889 }
		REPLY { }
	}
}

VARIABLE P890
{
	LABEL "P890 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P890
{
	SLOT 3;
	INDEX 124;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P890 }
	}
}

WRITE_P890 LIKE READ_P890
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P890 }
		REPLY { }
	}
}

VARIABLE P891
{
	LABEL "P891 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P891
{
	SLOT 3;
	INDEX 125;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P891 }
	}
}

WRITE_P891 LIKE READ_P891
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P891 }
		REPLY { }
	}
}

VARIABLE P892
{
	LABEL "P892 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P892
{
	SLOT 3;
	INDEX 126;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P892 }
	}
}

WRITE_P892 LIKE READ_P892
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P892 }
		REPLY { }
	}
}

VARIABLE P893
{
	LABEL "P893 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P893
{
	SLOT 3;
	INDEX 127;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P893 }
	}
}

WRITE_P893 LIKE READ_P893
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P893 }
		REPLY { }
	}
}

VARIABLE P894
{
	LABEL "P894 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P894
{
	SLOT 3;
	INDEX 128;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P894 }
	}
}

WRITE_P894 LIKE READ_P894
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P894 }
		REPLY { }
	}
}

VARIABLE P895
{
	LABEL "P895 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P895
{
	SLOT 3;
	INDEX 129;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P895 }
	}
}

WRITE_P895 LIKE READ_P895
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P895 }
		REPLY { }
	}
}

VARIABLE P896
{
	LABEL "P896 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P896
{
	SLOT 3;
	INDEX 130;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P896 }
	}
}

WRITE_P896 LIKE READ_P896
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P896 }
		REPLY { }
	}
}

VARIABLE P897
{
	LABEL "P897 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P897
{
	SLOT 3;
	INDEX 131;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P897 }
	}
}

WRITE_P897 LIKE READ_P897
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P897 }
		REPLY { }
	}
}

VARIABLE P898
{
	LABEL "P898 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P898
{
	SLOT 3;
	INDEX 132;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P898 }
	}
}

WRITE_P898 LIKE READ_P898
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P898 }
		REPLY { }
	}
}

VARIABLE P899
{
	LABEL "P899 User Parameters";
	CLASS CONTAINED;
	TYPE UNSIGNED_INTEGER(2)
	{

		DEFAULT_VALUE 0;
		MIN_VALUE 0;
		MAX_VALUE 65535;
	}
}

COMMAND READ_P899
{
	SLOT 3;
	INDEX 133;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST { }
		REPLY { P899 }
	}
}

WRITE_P899 LIKE READ_P899
{
	REDEFINE OPERATION WRITE;
	REDEFINE TRANSACTION
	{
		REQUEST { P899 }
		REPLY { }
	}
}











